function data = changekspace(tsv,x,y,z,value)
% changekspace - adjusts values of a voxel and its conjugate
%
% This function allows quick adjusting of the values of a voxel 
% and its k-space conjugate (2D mirror). It does not work with
% input values of X=1 or Y=1, as those values are not mirrored in
% k-space with zero at 33,33. 
%
%   changekspace(tsv,x,y,z,1000)
%   
%   e.g., changekspace(data,12,40,10,1000) is the same as:
%           data(12,40,10)=1000
%           data(54,26,10)=1000

% Copyright Duke-UNC BIAC

temp = tsv;
temp(x,y,z)=value;
temp(66-x,66-y,z)=value;
data = temp;
