function showkspace(tsv)
% showkspace - Creates windows showing a time series of volumes (tsv), its
%   k-space representation, and the change in k-space over time.
%
% This function loads the specified tsv (which must be a 4D data set)
% and then calculates the 2D slice plane) fft for each slice at each 
% time point (ffttsv -> magnitude).
% It then calculates the difference ffttsv (i.e. an image of the ffttsv
% minus the mean ffttsv across all time points)
%
%   1st window => tsv
%   2nd window => 20*log10(ffttsv)
%   3rd window => ffttsv-mean_ffttsv

% Copyright Duke-UNC BIAC

% Calculate fft of each plane of tsv
ffttsv=abs(fftshift(fftshift(fft2(fftshift(fftshift(tsv,2),1)),1),2));

% Display
showsrs(tsv);
showsrs(20*log10(ffttsv));
showsrs(ffttsv-repmat(mean(ffttsv,4),[1,1,1,size(ffttsv,4)]));